// Diese Funktion gibt den tagesaktuellen Turmpreis vom Rewe Onlineshop wieder
// Der Währungskurs it was auch immer aktuell ein Turm in € wert ist.
export async function holeTagesaktuellenTurmpreis () {
	const res = await fetch(
		'https://corsproxy.io/?'
        + encodeURIComponent('https://shop.rewe.de/api/suggestions?q=turmbrau'),
	);

	const json = await res.json();
	const turmObjekt = json.products.find(e => e.productId === '992388');

	if (!turmObjekt)
	{
		return 1;
	}

	// 0.55 + 0.25 => 0.8
	return (turmObjekt.price + turmObjekt.refundPrice) / 100;
}